Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.lang.reflect
Interface Advice

    public interface Advice

Runtime representation of an advice declaration inside an aspect

Method Summary
`AjType` | `getDeclaringType()` The declaring aspect
`AjType<?>[]` | `getExceptionTypes()` The declared thrown exceptions by the advice
`java.lang.reflect.Type[]` | `getGenericParameterTypes()` The generic parameter types, @see java.lang.reflect.Method.getGenericParameterTypes
`AdviceKind` | `getKind()` The kind of advice (before, after-returning, after-throwing, etc.)
`java.lang.String` | `getName()` Returns the advice name, or the empty string if the advice is anonymous.
`AjType<?>[]` | `getParameterTypes()` The advice parameters
`PointcutExpression` | `getPointcutExpression()` The pointcut expression associated with the advice declaration.

Method Detail

### getDeclaringType

    AjType getDeclaringType()

  The declaring aspect

### getKind

    AdviceKind getKind()

  The kind of advice (before, after-returning, after-throwing, etc.)

### getName

    java.lang.String getName()

  Returns the advice name, or the empty string if the advice is anonymous. If using the @AspectJ annotations, the advice name is the name of the annotated advice method. If using the code style, the advice is anonymous, unless the advice is annotated with the @AdviceName annotation, in which case the name given in the annotation is returned.

### getParameterTypes

    AjType<?>[] getParameterTypes()

  The advice parameters

### getGenericParameterTypes

    java.lang.reflect.Type[] getGenericParameterTypes()

  The generic parameter types, @see java.lang.reflect.Method.getGenericParameterTypes

### getExceptionTypes

    AjType<?>[] getExceptionTypes()

  The declared thrown exceptions by the advice

### getPointcutExpression

    PointcutExpression getPointcutExpression()

  The pointcut expression associated with the advice declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD